---@meta

---@class ABP_Interactable_TruckPart_01_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field ValidSocketNames TArray<FName>
---@field WinnerTransform FTransform
---@field DistanceCheck double
---@field FoundSpot boolean
---@field ShieldHealth int32
---@field HasCustomColor boolean
---@field CustomColor FLinearColor
local ABP_Interactable_TruckPart_01_C = {}

---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractions TMap<FName, UInputAction>
function ABP_Interactable_TruckPart_01_C:GetLookAtPlayerInteractions(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractions) end
---@param Success boolean
function ABP_Interactable_TruckPart_01_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_TruckPart_01_C:SetAttachedPhysicsState(Success) end
---@param AttachParent AActor
---@param AttachComponent USceneComponent
---@param SocketName FName
---@return boolean
function ABP_Interactable_TruckPart_01_C:ReceiveCustomClientAttach(AttachParent, AttachComponent, SocketName) end
function ABP_Interactable_TruckPart_01_C:CrashDestroy() end
---@param destroy boolean
---@param Success boolean
function ABP_Interactable_TruckPart_01_C:ForceDetach(destroy, Success) end
---@param Success boolean
function ABP_Interactable_TruckPart_01_C:SetDroppedPhysicsState(Success) end
---@param FoundSpot boolean
---@param WinnerTransform FTransform
function ABP_Interactable_TruckPart_01_C:TraceForTruckSlot(FoundSpot, WinnerTransform) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_TruckPart_01_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
function ABP_Interactable_TruckPart_01_C:ReceiveBeginPlay() end
---@param EntryPoint int32
function ABP_Interactable_TruckPart_01_C:ExecuteUbergraph_BP_Interactable_TruckPart_01(EntryPoint) end


